
Foreman - Bug #3794

IP should not be required for OpenStack CR hosts

12/03/2013 08:58 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Host creation   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The host creation is requiring an IP address to be given on hosts that are created on a compute resource which supplies an IP

address.  The validation happens before the IP is populated on the host.

Associated revisions

Revision 1ccec31c - 12/03/2013 09:06 PM - Dominic Cleal

fixes #3794 - don't validate IP address that's later provided by a CR

History

#1 - 12/03/2013 09:00 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1074

#2 - 12/04/2013 09:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1ccec31c764a297f5152e13deed175088db18524.
